
Member Nodes - MNDeployment #3205

SAEON MN

2012-09-05 03:01 - Dave Vieglais

Status: Closed Start date: 2012-09-05

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Deploy by end of Y3Q3   

Latitude: -34.04 MN_Date_Online:  

Longitude: 18.51 Name:  

MN Description: The South African Environmental

Observation Network (SAEON) was

established in 2002 as an

institutionalized network of departments,

universities, science institutions and

industrial partners.  SAEON's

responsibilities rest on three mandates:

observation, information and education. 

Earth observation science is urgently

required to bring more certainty about

environmental change, and to enable

formulation of adaptive and mitigating

management policies and practices, for

themes ranging from food production to

population health.

Logo URL:  

Base URL: http://www.saeon.ac.za/ Date Upcoming:  

NodeIdentifier: urn:node:SAEON Date Deprecated:  

MN Tier: Tier 1 Information URL:  

Software stack: Metacat Version:  

Description

This issue is to track the deployment of the SAEON MN in Cape Town, SA

Subtasks:

Task # 3206: Collate SAEON MN application metadata Closed

Task # 6408: create a test Dataone private key/public certificate for SAEON metacat Closed

Task # 6413: SAEON: Testing Closed

  Task # 6442: SAEON: Registration in environment Closed

    Task # 6443: SAEON: Register new Science Metadata formats Closed

    Task # 6444: SAEON: SSL Certificates Closed

      Task # 6445: SAEON: Generate client certificate. Closed

      Task # 6446: SAEON: Verify successful installation of client side certificate Closed

      Task # 6447: SAEON: Verify successful installation of server side certificate Closed

    Task # 6448: SAEON: Register MN Closed

      Task # 6449: SAEON: Set up Node document Closed

      Task # 6450: SAEON: Set the node status to approved (start synchronization) Closed

    Task # 6451: SAEON: Synchronization Closed

      Task # 6452: SAEON: Set up synchronization of the MN Closed

    Task # 6453: SAEON: Content Review Closed

      Task # 6454: SAEON: Verify Science Data Closed

        Task # 6455: SAEON: Verify Science Data content Closed

        Task # 6456: SAEON: Verify that the Science Data is returned with the correct HTTP Cont... Closed

      Task # 6457: SAEON: Verify Science Metadata Closed
        Task # 6458: SAEON: Verify Science Metadata content Closed

        Task # 6459: SAEON: Verify Science Metadata is returned with the correct HTTP Content-Type Closed

        Task # 6460: SAEON: Verify that the Science Metadata is correctly processed by CNs Closed

      Task # 6461: SAEON: Verify Resource Maps Closed

        Task # 6462: SAEON: Verify Resource Map content Closed

        Task # 6463: SAEON: Verify Resource Map is returned with the correct HTTP Content-Type Closed

        Task # 6464: SAEON: Verify that Resource Maps are correctly processed by CNs. Closed

    Task # 6465: SAEON: Authentication and Authorization Closed

      Task # 6466: SAEON: Science Data access Closed

      Task # 6467: SAEON: Science Metadata access Closed

      Task # 6468: SAEON: Log record access Closed

    Task # 6469: SAEON: Replication testing (if Tier 4) Closed

  Task # 6470: SAEON: Transition to production Closed

    Task # 6471: SAEON: Mutual acceptance Closed

    Task # 6472: SAEON: Verify content available for Current MNs web page Closed

    Task # 6473: SAEON: Create legal documents Closed

    Task # 6474: SAEON: Create news item Closed

    Task # 6475: SAEON: Formal announcement Closed

Task # 7457: Recover KNB/SANParks content Closed

History

#1 - 2012-09-05 17:24 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

#2 - 2013-01-30 21:01 - John Cobb

- Subject changed from Deploy the SAEON MN to SAEON MN

- Start date deleted (2012-09-05)

#3 - 2013-01-30 21:02 - Matthew Jones

- Due date set to 2013-07-31

- Target version set to Deploy by end of Y4Q4

- Start date set to 2013-01-30

#4 - 2013-06-10 17:44 - Ben Leinfelder

Victoria Goodall victoria@saeon.ac.za is the contact for this node.

#5 - 2013-08-01 19:52 - Bruce Wilson

- Due date changed from 2013-07-31 to 2014-01-31

- Target version changed from Deploy by end of Y4Q4 to Deploy by end of Y5Q2

#6 - 2013-08-05 16:01 - Laura Moyers

- Latitude set to -34.04

- Longitude set to 18.51

#7 - 2013-10-04 18:34 - Laura Moyers

- Status changed from New to Planning

#8 - 2013-10-04 21:32 - Matthew Jones

- Software stack set to Metacat

Main contact is Wim Hugo wim@saeon.ac.za, with Victoria Goodall as a secondary contact.  Wim has expressed interest once they relocate their
current Metacat server to a new vurtual host in the next few weeks.  I sent some background information and a link to the MN Checklist, and asked

him to get back to us when he's ready to move forward after their server move.

#9 - 2014-01-10 17:12 - Laura Moyers

- Due date changed from 2014-01-31 to 2014-04-30

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#10 - 2014-04-14 13:59 - Laura Moyers

- Due date changed from 2014-04-30 to 2014-07-31

- Target version changed from Deploy by end of Y5Q3 to Deploy by end of Y5Q4

#11 - 2014-05-15 17:42 - Bruce Wilson

- Status changed from Planning to Testing

#12 - 2014-05-29 19:11 - Laura Moyers

SAEON needs to upgrade their metacat.  Chris Jones and Alex Niehaus coordinating a time to do this.  After metacat upgraded, can move forward on

MN activities.

#13 - 2014-08-06 18:31 - Laura Moyers

- Due date changed from 2014-07-31 to 2015-04-30

- Target version changed from Deploy by end of Y5Q4 to Deploy by end of Y1Q3

- NodeIdentifier set to urn:node:SAEON

Need to verify NodeIdentifier

#14 - 2014-09-19 18:43 - Jing Tao

I checked their metacat version. It was upgrade 2.4.1

Here is my feeling of their issues:

1. Verify the file-based authentication works.

2. Geoserver url doesn’t work.

3. need to get a commercial  x 509 certificate for their site.

4 .How to join the data one network

#15 - 2014-09-19 19:00 - Jing Tao

Actions:

1. Discuss with SAEON folks which env they need to join first: stage or sandbox. The content of Sandbox is easy to be removed.

2. Run the web tester on tier 1 and 2 against the MN. Those two tier tests will not insert test content.

3. Mark -  generate  dataone certificate for SAEON

#16 - 2014-09-23 17:33 - Jing Tao

- Assignee changed from Ben Leinfelder to Jing Tao

#17 - 2015-05-30 00:12 - Laura Moyers

- MN Tier set to Tier 1
#18 - 2015-06-23 20:09 - Laura Moyers

- Target version changed from Deploy by end of Y1Q3 to Deploy by end of Y1Q4

- MN Description set to The South African Environmental Observation Network (SAEON) was established in 2002 as an institutionalized network of

departments, universities, science institutions and industrial partners.  SAEON's responsibilities rest on three mandates: observation, information and

education.  Earth observation science is urgently required to bring more certainty about environmental change, and to enable formulation of adaptive

and mitigating management policies and practices, for themes ranging from food production to population health.

- Base URL set to http://www.saeon.ac.za/

#19 - 2015-08-17 19:46 - Laura Moyers

- Target version changed from Deploy by end of Y1Q4 to Deploy by end of Y2Q1

#20 - 2015-11-11 15:22 - Laura Moyers

- Target version changed from Deploy by end of Y2Q1 to Deploy by end of Y2Q2

#21 - 2016-03-21 15:21 - Laura Moyers

- Target version changed from Deploy by end of Y2Q2 to Deploy by end of Y2Q3

#22 - 2016-05-23 19:13 - Laura Moyers

- Target version changed from Deploy by end of Y2Q3 to Deploy by end of Y2Q4

#23 - 2016-07-02 12:42 - Laura Moyers

- Status changed from Testing to Ready

This is not in active development at the time - status pulled back to "ready" - when Wim/Margaret and Jing are available and it fits into everyone's

schedule, we may resume activity.

#24 - 2016-07-02 12:44 - Laura Moyers

- Target version changed from Deploy by end of Y2Q4 to Deploy by end of Y3Q1

#25 - 2016-11-21 17:59 - Laura Moyers

- Target version changed from Deploy by end of Y3Q1 to Deploy by end of Y3Q2

Moving out in schedule.  May be able to resume conversations with SAEON (after the first of the year) wrt Metacat vs GMN now that GMN v2 is

available.

#26 - 2016-12-08 18:27 - Dave Vieglais

- Status changed from Ready to Operational

#27 - 2016-12-08 18:36 - Dave Vieglais

- Status changed from Operational to Planning

- % Done changed from 50 to 10

#28 - 2017-02-25 19:26 - Laura Moyers

- Target version changed from Deploy by end of Y3Q2 to Deploy by end of Y3Q3

#29 - 2017-03-15 18:09 - Laura Moyers

- Status changed from Planning to Closed

- % Done changed from 10 to 100

Per email from Margaret Koopman 13 March 2017: 
The decision was made last year to pull all our data out of MetaCat and archive this and the metadata in one of SAEON's own repositories.  This was

successfully done by one of my colleagues.  I don't believe there is any intention to pursue a DataOne node, but if I am incorrect I am sure Wim will

contact you.
